cascading.operation.regex

## Class RegexMatcher

- java.lang.Object
- - cascading.operation.BaseOperation<C>
  - - cascading.operation.regex.RegexOperation<java.util.regex.Matcher>
    - - cascading.operation.regex.RegexMatcher

All Implemented Interfaces:
  DeclaresResults, Operation<java.util.regex.Matcher>, Traceable, java.io.Serializable

Direct Known Subclasses:
  AssertMatches, AssertMatchesAll, RegexFilter

    public class RegexMatcher
    extends RegexOperation<java.util.regex.Matcher>

Class RegexMatcher is the base class for common regular expression operations.

This operation uses `Matcher` internally, specifically the method `Matcher.find()`.

See Also:
  `Matcher`, `Pattern`, Serialized Form

### Field Summary

Fields
`static java.lang.String` `DEFAULT_DELIM`
`protected java.lang.String` `delimiter`
`protected boolean` `negateMatch`

### Fields inherited from class cascading.operation.regex.RegexOperation

`patternString`

### Fields inherited from class cascading.operation.BaseOperation

`fieldDeclaration, numArgs, trace`

### Fields inherited from interface cascading.operation.Operation

`ANY`

### Constructor Summary

Constructors
`protected` `RegexMatcher(Fields fieldDeclaration, java.lang.String patternString)`
`protected` `RegexMatcher(Fields fieldDeclaration, java.lang.String patternString, boolean negateMatch)`
`protected` `RegexMatcher(Fields fieldDeclaration, java.lang.String patternString, boolean negateMatch, java.lang.String delimiter)`
`protected` `RegexMatcher(Fields fieldDeclaration, java.lang.String patternString, java.lang.String delimiter)`
`protected` `RegexMatcher(java.lang.String patternString)`
`protected` `RegexMatcher(java.lang.String patternString, boolean negateMatch)`
`protected` `RegexMatcher(java.lang.String patternString, boolean negateMatch, java.lang.String delimiter)`
`protected` `RegexMatcher(java.lang.String patternString, java.lang.String delimiter)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object object)`
`java.lang.String` `getDelimiter()`
`int` `hashCode()`
`boolean` `isNegateMatch()`
`protected boolean` `matchEachElement(java.util.regex.Matcher matcher, TupleEntry input)`
`protected int` `matchEachElementPos(java.util.regex.Matcher matcher, TupleEntry input)`
`protected boolean` `matchWholeTuple(java.util.regex.Matcher matcher, TupleEntry input)`
`void` `prepare(FlowProcess flowProcess, OperationCall<java.util.regex.Matcher> operationCall)` Method prepare does nothing, and may safely be overridden.

### Methods inherited from class cascading.operation.regex.RegexOperation

`getPattern, getPatternString`

### Methods inherited from class cascading.operation.BaseOperation

`cleanup, flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, printOperationInternal, toString, toStringInternal`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DEFAULT_DELIM

    public static final java.lang.String DEFAULT_DELIM

See Also:
  Constant Field Values

#### negateMatch

    protected final boolean negateMatch

#### delimiter

    protected final java.lang.String delimiter

### Constructor Detail

#### RegexMatcher

    @ConstructorProperties(value="patternString")
    protected RegexMatcher(java.lang.String patternString)

#### RegexMatcher

    @ConstructorProperties(value={"patternString","delimiter"})
    protected RegexMatcher(java.lang.String patternString,
                                      java.lang.String delimiter)

#### RegexMatcher

    @ConstructorProperties(value={"patternString","negateMatch"})
    protected RegexMatcher(java.lang.String patternString,
                                      boolean negateMatch)

#### RegexMatcher

    @ConstructorProperties(value={"patternString","negateMatch","delimiter"})
    protected RegexMatcher(java.lang.String patternString,
                                      boolean negateMatch,
                                      java.lang.String delimiter)

#### RegexMatcher

    @ConstructorProperties(value={"fieldDeclaration","patternString"})
    protected RegexMatcher(Fields fieldDeclaration,
                                      java.lang.String patternString)

#### RegexMatcher

    @ConstructorProperties(value={"fieldDeclaration","patternString","delimiter"})
    protected RegexMatcher(Fields fieldDeclaration,
                                      java.lang.String patternString,
                                      java.lang.String delimiter)

#### RegexMatcher

    @ConstructorProperties(value={"fieldDeclaration","patternString","negateMatch"})
    protected RegexMatcher(Fields fieldDeclaration,
                                      java.lang.String patternString,
                                      boolean negateMatch)

#### RegexMatcher

    @ConstructorProperties(value={"fieldDeclaration","patternString","negateMatch","delimiter"})
    protected RegexMatcher(Fields fieldDeclaration,
                                      java.lang.String patternString,
                                      boolean negateMatch,
                                      java.lang.String delimiter)

### Method Detail

#### isNegateMatch

    public final boolean isNegateMatch()

#### getDelimiter

    public final java.lang.String getDelimiter()

#### prepare

    public void prepare(FlowProcess flowProcess,
               OperationCall<java.util.regex.Matcher> operationCall)

Description copied from class: `BaseOperation`
Method prepare does nothing, and may safely be overridden.

Specified by:
  `prepare` in interface `Operation<java.util.regex.Matcher>`
Overrides:
  `prepare` in class `BaseOperation<java.util.regex.Matcher>`

#### matchWholeTuple

    protected boolean matchWholeTuple(java.util.regex.Matcher matcher,
                          TupleEntry input)

#### matchEachElement

    protected boolean matchEachElement(java.util.regex.Matcher matcher,
                           TupleEntry input)

#### matchEachElementPos

    protected int matchEachElementPos(java.util.regex.Matcher matcher,
                          TupleEntry input)

#### equals

    public boolean equals(java.lang.Object object)

Overrides:
  `equals` in class `RegexOperation<java.util.regex.Matcher>`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `RegexOperation<java.util.regex.Matcher>`